【漏洞预警】XStream < 1.4.16 多个反序列化漏洞

  • A+
所属分类:安全漏洞

2021年3月13日,阿里云应急响应中心监测到 XStream 官方发布安全公告,披露多个反序列化漏洞。

01

漏洞描述

XStream是一个常用的Java对象和XML相互转换的工具。近日XStream官方发布安全更新,修复了多个XStream 反序列化漏洞。攻击者通过构造恶意的XML文档,可绕过XStream的黑名单,触发反序列化,从而造成如CVE-2021-21345 反序列化代码执行漏洞等。实际漏洞利用依赖于具体代码实现以及相关接口请求,无法批量远程利用,实际危害相对较低。阿里云应急响应中心提醒 XStream 用户尽快采取安全措施阻止漏洞攻击。

02

漏洞评级

CVE-2021-21344 XStream 反序列化代码执行漏洞 高危

CVE-2021-21345 XStream 反序列化代码执行漏洞 高危

CVE-2021-21346 XStream 反序列化代码执行漏洞 高危

CVE-2021-21347 XStream 反序列化代码执行漏洞 高危

CVE-2021-21350 XStream 反序列化代码执行漏洞 高危

CVE-2021-21351 XStream 反序列化代码执行漏洞 高危

03

影响版本

XStream < 1.4.16

04

安全版本

XStream 1.4.16

05

安全建议

针对使用到XStream组件的web服务升级至最新版本:http://x-stream.github.io/changes.html

06

相关链接

https://x-stream.github.io/security.html#workaround

07

安全产品


安全产品 解决方案
阿里云云安全中心 应用漏洞模块已支持对该漏洞一键检测

【漏洞预警】XStream < 1.4.16 多个反序列化漏洞

本文始发于微信公众号(阿里云应急响应):【漏洞预警】XStream < 1.4.16 多个反序列化漏洞

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: